Subject: Re: [Gen-art] Genart last call review of draft-klensin-idna-rfc5891bis-04

From: Alissa Cooper <[email-masked]>
Date: Wed, 18 Sep 2019 16:17:35 -0400

Vijay, thanks for your review. John, thanks for your responses. I entered a DISCUSS ballot.

Alissa

> On Aug 13, 2019, at 3:19 PM, Vijay Gurbani <[email-masked]> wrote:
> 
> Dear John: Thanks a lot for your response..  
> 
> Please see inline.
> 
> On Tue, Aug 13, 2019 at 12:53 PM John C Klensin <[email-masked] <mailto:[email-masked]>> wrote:
> 
> I really appreciate your making your way through the document
> despite your lack of experience with what you refer to as the
> arcana. 
> 
> My apologies; by employing the term "arcana", I did not intend to be pejorative in any sense.
> It is a good thing, in my opinion, that we in the IETF are comfortable discussing such arcana
> in the protocols that we create.
> 
> That said ...
> 
> Your review identifies a general problem with many IETF
> "area" reviews.  Using this document as an example, it, and its
> companion, draft-klensin-idna-unicode-review, are essentially
> just clarifying updates to he base IDNA document collection.  A
> review for substantive technical issues requires a thorough
> understanding of those base documents in order to understand
> what is being clarified or changed, and why, and what the state
> of things was (and would continue to be) without the updates.
> If you didn't follow that work and aren't interested and
> motivated to dig deeply into it today, we can't expect you to do
> that review and I (and I hope others), are very grateful for the
> more general reviews you and others are doing.  However, I think
> the IETF (and the IESG in particular) needs to keep in mind that
> the type of review you have done, while very important and
> useful, is not a substitute for that more specific type of
> in-depth technical reviews.  We need both and it is not clear to
> me that we are doing as good a job of the latter as we used to.
> 
> ... I suspect that the IESG, in general, recognizes that the reviews done by members of the 
> Gen-ART team are generalist in nature and not specific to the details that are apparent to 
> the specific WG tasked with producing that I-D.  
> 
> The purview of the Gen-ART review is provided in [1], and my apologies if you are already 
> familiar with the mission of Gen-ART.  If not, the quoted text in [1] appears to address your 
> concern that the IESG is aware that my review is definitely not a substitute for an in-depth 
> technical review that can be provided by members of the WG.  (On occasions that as a 
> Gen-ART reviewer, I get an I-D that pertains to the work I do and the WGs I participate 
> in, then I relish going deeper into the technical aspects as well.)
> 
> [1] https://datatracker.ietf.org/group/genart/about/ <https://datatracker.ietf.org/group/genart/about/>
> 
> Quoting the relevant parts from the above URL, "The GEN-ART reviews are performed for one of 
> three reasons. Most Gen-ART reviews are now assigned at IETF Last Call (answer #1). If 
> a document is revised after IETF Last Call, or is processed so quickly that no 
> Gen-ART reviewer has been assigned, it's reviewed after being placed on the IESG Telechat 
> agenda (answer #2). Some ADs also request an Early Review before IETF Last Call - typically
> once the document is considered fairly mature and stable within the working group (answer #3).
> 
> Gen-ART reviewers are supposed to provide generalist reviews to Gen-ART (when reviewers are
> experts in a particular field, they should provide expert review to the working group, prior to 
> IETF Last Call), so reviewers may recuse themselves...."
> 
> Cheers,
> 
> - vijay
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art